.cslider {
    border-top: dotted 3px var(--red);
    border-bottom: dotted 3px var(--red);
    color: #fff;
    position: relative;
}
.cslider img, .cslider video {
    height: auto;
    max-width: 100%;
    width: 100%;
    box-shadow: 0 0 10px rgba(40, 40, 40, 0.5);
}
.cslider .p,
.cslider a {
    color: #fff;
}
.cslider-end{
    border-bottom: solid 3px var(--red);
}
.cslider-carousel {
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 475px;
    margin: 0 auto;
    max-width: 1400px;
    position: relative;
    z-index: 1;
}

.cslider-item {
    left: 20%;
    opacity: 0;
    position: absolute;
    text-align: center;
    -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
    -webkit-transition: opacity 150ms ease-in-out, width 300ms ease-in-out, left 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
    transition: opacity 150ms ease-in-out, width 300ms ease-in-out, left 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
    transition: opacity 150ms ease-in-out, width 300ms ease-in-out, transform 300ms ease-in-out, left 300ms ease-in-out;
    transition: opacity 150ms ease-in-out, width 300ms ease-in-out, transform 300ms ease-in-out, left 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
    width: 10%;
    z-index: 0;
}
@media (min-width: 1200px) {
    .cslider-item {
        left: 5%;
    }
}
.cslider-item img, .cslider-item video {
    height: auto;
    max-height: 315px;
    max-width: 100%;
    width: auto;
}

.cslider-item-selected {
    opacity: 1;
    left: 50%;
    -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
    -webkit-transition: all 300ms ease-in-out, -webkit-transform 300ms cubic-bezier(0.25, 0.75, 1, 1);
    transition: all 300ms ease-in-out, -webkit-transform 300ms cubic-bezier(0.25, 0.75, 1, 1);
    transition: all 300ms ease-in-out, transform 300ms cubic-bezier(0.25, 0.75, 1, 1);
    transition: all 300ms ease-in-out, transform 300ms cubic-bezier(0.25, 0.75, 1, 1), -webkit-transform 300ms cubic-bezier(0.25, 0.75, 1, 1);
    z-index: 2;
}
@media (min-width: 768px) {
    .cslider-item-selected {
        -webkit-transition: all 300ms ease-in-out;
        transition: all 300ms ease-in-out;
    }
}
@media (max-width: 575px) {
    .cslider-item-selected {
        width: 50%;
    }
}
@media (min-width: 576px) {
    .cslider-item-selected {
        width: 40%;
    }
}

.cslider-item-previous,
.cslider-item-next {
    opacity: 1;
    -webkit-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
    width: 20%;
    z-index: 1;
}

.cslider-item-first,
.cslider-item-last {
    opacity: 1;
    -webkit-transition: opacity 150ms ease-in-out 300ms, width 300ms ease-in-out, left 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
    transition: opacity 150ms ease-in-out 300ms, width 300ms ease-in-out, left 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
    transition: opacity 150ms ease-in-out 300ms, width 300ms ease-in-out, transform 300ms ease-in-out, left 300ms ease-in-out;
    transition: opacity 150ms ease-in-out 300ms, width 300ms ease-in-out, transform 300ms ease-in-out, left 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
    width: 10%;
}

@media (max-width: 575px) {
    .cslider-item-previous,
.cslider-item-next {
        opacity: 0;
    }
}

@media (max-width: 1519px) {
    .cslider-item-first,
.cslider-item-last {
        opacity: 0;
    }
}

.cslider-item-previous {
    left: 20%;
}

.cslider-item-next {
    left: 80%;
}

.cslider-item-first {
    left: 20%;
}
@media (min-width: 1520px) {
    .cslider-item-first {
        left: 5%;
    }
}

.cslider-item-last {
    left: 80%;
}
@media (min-width: 1520px) {
    .cslider-item-last {
        left: 95%;
    }
}

.cslider-text {
    height: 0;
    left: 0;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    -webkit-transition: height 0ms ease-in-out 300ms, opacity 225ms ease-in-out;
    transition: height 0ms ease-in-out 300ms, opacity 225ms ease-in-out;
    right: 0;
}

.cslider-item-selected .cslider-text {
    height: 210px;
    opacity: 1;
    -webkit-transition: height 0ms, opacity 300ms ease-in-out 300ms;
    transition: height 0ms, opacity 300ms ease-in-out 300ms;
}

.cslider-prev,
.cslider-next {
    border-color: var(--red);
    border-style: solid;
    box-shadow: 5px 5px 5px var(--whiterock);
    border-width: 0 7px 7px 0;
    border-radius: 5px;
    cursor: pointer;
    display: block;
    font-size: 0;
    height: 28px;
    margin-top: -14px;
    position: absolute;
    top: 50%;
    -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
    width: 28px;
    z-index: 2;
}

.cslider-prev {
    -webkit-transform: rotate(135deg);
            transform: rotate(135deg);
    left: 30px;
}

.cslider-next {
    right: 30px;
}
